\name{image.kriging}

\alias{image.kriging}
\alias{persp.kriging}
%- Also NEED an `\alias' for EACH other topic documented here.

\title{Image/Perspective Plots of Kriging Results}

\description{
  Plots maps (image or perspective plots) with results of the kriging
  calculations.
}

\usage{
image.kriging(kriging.obj, locations=kriging.obj$locations,
              values=kriging.obj$predict, ...)

persp.kriging(kriging.obj, locations=kriging.obj$locations,
              values=kriging.obj$predict, ...)
}

%- maybe also `usage' for other objects documented here.
\arguments{
  \item{kriging.obj}{an object with the output of
    \code{\link{krige.conv}}, or \code{\link{ksline}}.
  Typically the object of the  class \code{kriging}.}
  \item{locations}{a matrix with prediction locations.}
  \item{values}{a vector with values to be plotted in the image
    plot. Defaults to \code{obj$predict}.}
  \item{coords.data}{optional. If a matrix with the data coordinates is
    provided, points indicating the data locations are included in the plot.}
  \item{\dots}{further arguments to be passed to the functions
    \code{\link{image}} or \code{\link{persp}}.}
  
}

%\details{
%}

\value{
  An image or perspective plot is produced in the graphics device.
}

\references{
  Further information about \code{geoR/geoS} can be found at:\cr
  \url{http://www.maths.lancs.ac.uk/~ribeiro/geoR.html}
}

\author{
  Paulo J. Ribeiro Jr. \email{paulojus@est.ufpr.br} \cr
  Peter J. Diggle \email{p.diggle@lancaster.ac.uk}.
}


%\note{ ~~further notes~~ }

 
\seealso{\code{\link{krige.conv}}, \code{\link{ksline}},
  \code{\link{image}}, \code{\link{persp}}.}

\examples{
data(s100)   # R only 
loci <- expand.grid(seq(0,1,l=31), seq(0,1,l=31))
kc <- krige.conv(s100, loc=loci,
                 krige=krige.control(cov.pars=c(1, .25)))
par(mfrow=c(1,2))
image.kriging(kc, loc=loci)
image.kriging(kc, loc=loci, val=kc$krige.var)

}

\keyword{spatial, dplot}
